Page MenuHomePhabricator

Index Lexemes and Forms
Closed, ResolvedPublic

Description

Add Lexemes and Forms, as defined by WikibaseLexeme extension, to ElasticSearch index.

Initially indexed:

  • Lexeme Lemma
  • Lexeme language and lexical category - as Q-id keywords
  • For each form:
    • Form ID
    • Form representation
    • (?) Form grammatical features as Q-id keywords

See also:

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterIndex Lexemes and Forms

Event Timeline

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.Mar 20 2018, 5:40 AM

Change 420637 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Index Lexemes and Forms

https://gerrit.wikimedia.org/r/420637

Smalyshev triaged this task as Medium priority.
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Mar 27 2018, 6:30 PM

Change 420637 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Index Lexemes and Forms

https://gerrit.wikimedia.org/r/420637

Smalyshev closed this task as Resolved.Apr 10 2018, 5:16 PM
Smalyshev moved this task from Needs review to Done on the Discovery-Search (Current work) board.